### Method

# ECal ComponentAlarms get_instances

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_alarms_get_instances (
      const ECalComponentAlarms* alarms
    )

#### Description [src]

The returned `GSList` is owned by `alarms` and should not be modified. It’s valid until the `alarms` is freed or the list of instances is not modified by other functions. The items are of type `ECalComponentAlarmInstance`.

Available since: 3.34

#### Return value

Type: A list of `ECalComponentAlarmInstance*`

Instances of the `alarms` structure; can be `NULL`, when none had been added yet.

The returned data is owned by the instance.
The return value can be `NULL`.